Bug 383301 - Admin Server main html page refers to dsgw, org
Admin Server main html page refers to dsgw, org
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.1.0beta
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-11-14 15:15 EST by Rich Megginson
Modified: 2015-12-07 11:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:42:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (6.79 KB, patch)
2007-11-14 21:05 EST, Rich Megginson
no flags Details | Diff
cvs commit log (2.40 KB, text/plain)
2007-11-15 12:03 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2007-11-14 15:15:19 EST
We don't yet support the dsgw and org chart.  We should not refer to them from
the main admin server page.
Comment 1 Rich Megginson 2007-11-14 21:05:01 EST
Created attachment 259221 [details]
diffs
Comment 2 Noriko Hosoi 2007-11-14 21:20:02 EST
Looks good to me.

When we add web apps (back?), are we updating the admin page / CGI?
Comment 3 Rich Megginson 2007-11-14 22:40:15 EST
(In reply to comment #2)
> Looks good to me.
> 
> When we add web apps (back?), are we updating the admin page / CGI?

Thanks.  When we add the web apps, we just have to add the file
admserv_phonebook.html (or whatever) to the html directory, and it will
automatically show up in the admin server main page.  We don't have to edit any
html or edit any CGI code.
Comment 4 Rich Megginson 2007-11-15 12:03:19 EST
Created attachment 260031 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Fix Description: Introduce a new directive - INCLUDEIFEXISTS.  This will
include the html file specified if it exists, or just skip it if not found. 
When dsgw, org, etc. are ready, we can just plug in the appropriate html file.
I added the html excerpts to the data directory so we can have them in case we
want to use them - just copy them to the html directory and reload the main
admin server page.
Platforms tested: RHEL5 x86_64
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none

Note You need to log in before you can comment on or make changes to this bug.